
Figure - Bug #115922
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【IOS-遥控器】在不打开控制中心的情况下，使用遥控器关闭蓝牙，设备蓝牙被关闭，但是
遥控器上显示状态为“已激活” 
2023-02-06 11:07 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-06

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302050304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Reproducibility: Every time Fixed Version: 2023-02-07

Test Type: ST Root cause: 蓝牙状态变更需要一定时间，操作过后立即去获取状态，拿到的状态不是最新状态。

Description

【前提条件】

1、设备已开机

2、蓝牙已开启

【测试步骤】

1、设备连接遥控器

2、使用遥控器关闭蓝牙

【预期结果】

2、设备蓝牙被关闭，但是遥控器上显示状态为“未激活”

【实际结果】

2、设备蓝牙被关闭，但是遥控器上显示状态为“已激活”

再次在遥控器上点击蓝牙按钮，设备蓝牙状态仍保持未激活，遥控器上显示状态为“未激活”

History

#1 - 2023-02-07 14:11 - CD FW-廖涛

- Root cause set to 蓝牙状态变更需要一定时间，操作过后立即去获取状态，拿到的状态不是最新状态。

#2 - 2023-02-07 16:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179846 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:RemoteControl: Client(iOS) - Fix Bluetooth status error after changed.TC-RID: 1201-0206003IssueID: TS-R-BUG-115922Change-Id:

I40d8861b940a4bc4fa628bff0c88e28f1e037e39

#3 - 2023-02-07 16:46 - CD FW-廖涛

- Status changed from New to RESOLVED
- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-07

■ Current conclusion

已处理。

■ My analysis

蓝牙状态变更需要一定时间，操作过后立即去获取状态，拿到的状态不是最新状态。

■ Next action

测试验证。

#4 - 2023-02-09 10:43 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

2.9

验证通过

#5 - 2023-02-09 10:44 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
